Package org.eclipse.lemminx.dom

## Class DOMParser

- java.lang.Object
- - org.eclipse.lemminx.dom.DOMParser

    public class DOMParser
    extends Object

Tolerant XML parser.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DOMParser` `getInstance()`
`DOMDocument` `parse​(String text, String uri, URIResolverExtensionManager resolverExtensionManager)`
`DOMDocument` `parse​(String text, String uri, URIResolverExtensionManager resolverExtensionManager, boolean ignoreWhitespaceContent)`
`DOMDocument` `parse​(TextDocument document, URIResolverExtensionManager resolverExtensionManager)`
`DOMDocument` `parse​(TextDocument document, URIResolverExtensionManager resolverExtensionManager, boolean ignoreWhitespaceContent)`
`DOMDocument` `parse​(TextDocument document, URIResolverExtensionManager resolverExtensionManager, boolean ignoreWhitespaceContent, org.eclipse.lsp4j.jsonrpc.CancelChecker monitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static DOMParser getInstance()

#### parse

    public DOMDocument parse​(String text,
                             String uri,
                             URIResolverExtensionManager resolverExtensionManager)

#### parse

    public DOMDocument parse​(String text,
                             String uri,
                             URIResolverExtensionManager resolverExtensionManager,
                             boolean ignoreWhitespaceContent)

#### parse

    public DOMDocument parse​(TextDocument document,
                             URIResolverExtensionManager resolverExtensionManager)

#### parse

    public DOMDocument parse​(TextDocument document,
                             URIResolverExtensionManager resolverExtensionManager,
                             boolean ignoreWhitespaceContent)

#### parse

    public DOMDocument parse​(TextDocument document,
                             URIResolverExtensionManager resolverExtensionManager,
                             boolean ignoreWhitespaceContent,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker monitor)